<?php

include 'api.php';

// ARGUMENTOS : USERNAME PASSWORD NOMBRE APELLIDOS
if (isset($argv[1]) && isset($argv[2]) && isset($argv[3]) && isset($argv[4])) {
    $result = $magnusBilling->create('user', [
        'username' => $argv[1],
        'password' => $argv[2] . strval(rand(100, 999)),
        'active' => '1',
        'firstname' => strtoupper($argv[3]),
        'lastname' => strtoupper($argv[4]),
        'callingcard_pin' => strval(rand(1000, 9999)),
        'id_group' => 3,
        'id_plan' => 1,
        'credit' => 0,
    ]);

    if ($result['success'] == 1) {
        print("[201] OK id=". $result['rows'][0]['id']);
    } else {
        print("[409] ERROR Ya existe una cuenta con mismo usuario.");
    }    
} else {
    print("[404] ERROR No se han introducido todos los parámetros necesarios.");
}


